def look_at_obj(self, objecttype):
    # Find the object with the given objecttype
    entity = self.find_object(objecttype)
    
    if entity is None:
        # If the object is not found, explore the environment
        self.explore()
        return
    
    # If the agent is not holding the object, go to the receptacle containing the object and take it
    if self.name2type(self.holding)!= self.name2type(objecttype):
        self.goto(entity.in_on)
        r_entity = self.seen_entitys[entity.in_on]
        if r_entity.openable and not r_entity.isopen:
            self.open_receptacle(r_entity.name)
        self.take(entity.name, entity.in_on)
    
    # Find a desklamp
    desklamp = self.find_receptacle('desklamp')
    
    if desklamp is None:
        # If no desklamp is found, explore the environment
        self.explore()
        return
    
    # Go to the desklamp
    self.goto(desklamp.name)
    
    # Turn on the desklamp to examine the object
    self.turn_on(desklamp.name)